commit:     7a70d6baa47ffc8e424ef157699002e53be68f70
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 29 03:24:48 2025 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Sun Jun 29 04:18:58 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7a70d6ba

app-emulation/wine-proton: require USE=sdl when udev is set

USE=-sdl seems fine when udev is disabled, and issue is specific to
Valve's changes (doesn't apply to wine-vanilla, nor older wine-proton).

No major reason to try fixing this in wine-proton (Valve likely does
not test/support this configuration and has a lot of custom code around
sdl/udev for gamepad and other input support), so just add the REQ USE.

Closes: https://bugs.gentoo.org/959263
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 app-emulation/wine-proton/wine-proton-10.0.1f.ebuild | 8 ++++++--
 app-emulation/wine-proton/wine-proton-9999.ebuild    | 8 ++++++--
 2 files changed, 12 insertions(+), 4 deletions(-)

diff --git a/app-emulation/wine-proton/wine-proton-10.0.1f.ebuild 
b/app-emulation/wine-proton/wine-proton-10.0.1f.ebuild
index 36f7f4c8045d..1d58eebd659c 100644
--- a/app-emulation/wine-proton/wine-proton-10.0.1f.ebuild
+++ b/app-emulation/wine-proton/wine-proton-10.0.1f.ebuild
@@ -30,8 +30,12 @@ IUSE="
        llvm-libunwind +mono nls perl pulseaudio +sdl selinux +ssl udev
        +unwind usb v4l wayland video_cards_amdgpu +xcomposite xinerama
 "
-# headless is not really supported with wine-proton, use normal Wine
-REQUIRED_USE="|| ( X wayland )"
+# headless is not really supported here, and udev needs sdl due to Valve's
+# changes (bug #959263), use normal wine instead if need to avoid these
+REQUIRED_USE="
+       || ( X wayland )
+       udev? ( sdl )
+"
 
 # tests are non-trivial to run, can hang easily, don't play well with
 # sandbox, and several need real opengl/vulkan or network access

diff --git a/app-emulation/wine-proton/wine-proton-9999.ebuild 
b/app-emulation/wine-proton/wine-proton-9999.ebuild
index 064a3387d86a..626d02aae0bb 100644
--- a/app-emulation/wine-proton/wine-proton-9999.ebuild
+++ b/app-emulation/wine-proton/wine-proton-9999.ebuild
@@ -33,8 +33,12 @@ IUSE="
        llvm-libunwind +mono nls perl pulseaudio +sdl selinux +ssl udev
        +unwind usb v4l wayland video_cards_amdgpu +xcomposite xinerama
 "
-# headless is not really supported with wine-proton, use normal Wine
-REQUIRED_USE="|| ( X wayland )"
+# headless is not really supported here, and udev needs sdl due to Valve's
+# changes (bug #959263), use normal wine instead if need to avoid these
+REQUIRED_USE="
+       || ( X wayland )
+       udev? ( sdl )
+"
 
 # tests are non-trivial to run, can hang easily, don't play well with
 # sandbox, and several need real opengl/vulkan or network access

Reply via email to